## EImageChooser EImageChooser |

## Functions

GtkWidget * | e_image_chooser_new ()
const gchar * | e_image_chooser_get_icon_name ()
gboolean | e_image_chooser_set_from_file ()
gboolean | e_image_chooser_set_image_data ()
gboolean | e_image_chooser_get_image_data ()

## Description

## Functions

### e_image_chooser_new ()

    GtkWidget *
    e_image_chooser_new (const gchar *icon_name);

`e_image_chooser_new` is deprecated and should not be used in newly-written code.

### e_image_chooser_get_icon_name ()

    const gchar *
    e_image_chooser_get_icon_name (EImageChooser *chooser);

`e_image_chooser_get_icon_name` is deprecated and should not be used in newly-written code.

### e_image_chooser_set_from_file ()

    gboolean
    e_image_chooser_set_from_file (EImageChooser *chooser,
                                   const gchar *filename);

`e_image_chooser_set_from_file` is deprecated and should not be used in newly-written code.

### e_image_chooser_set_image_data ()

    gboolean
    e_image_chooser_set_image_data (EImageChooser *chooser,
                                    gchar *data,
                                    gsize data_length);

`e_image_chooser_set_image_data` is deprecated and should not be used in newly-written code.

### e_image_chooser_get_image_data ()

    gboolean
    e_image_chooser_get_image_data (EImageChooser *chooser,
                                    gchar **data,
                                    gsize *data_length);

`e_image_chooser_get_image_data` is deprecated and should not be used in newly-written code.

## Types and Values